Bug 114215 - Need utils subpackage for mbx format delivery
Need utils subpackage for mbx format delivery
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: imap (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-23 22:29 EST by Kenneth Porter
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-27 11:00:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to spec file to add utils subpackage (1.85 KB, patch)
2004-01-23 22:30 EST, Kenneth Porter
no flags Details | Diff

  None (edit)
Description Kenneth Porter 2004-01-23 22:29:21 EST
One of UW-IMAP's features is a new mailbox format called "mbx", which
provides higher performance when a folder contains hundreds of
messages. To effectively use this format, delivery programs tmail and
dmail are provided for use by sendmail and procmail. Additionally,
mailutil allows scripted IMAP-protocol access to folders in any format
supported by the server. It would be desirable to collect these
utilities together into an additional subpackage.
Comment 1 Kenneth Porter 2004-01-23 22:30:51 EST
Created attachment 97234 [details]
Patch to spec file to add utils subpackage

A relatively simple change to the spec file adds a utils subpackage containing
the desired utilities.
Comment 2 Kenneth Porter 2004-01-23 22:33:23 EST
Note that the subpackage doesn't depend on the main package or devel
subpackage, as it can be used free-standing even if the server isn't used.
Comment 3 John Dennis 2004-01-27 11:00:15 EST
Thank you Ken for your patch. You may be interested to know Red Hat
has deprecated UW imap as of Fedora Core 1 and its not expected to
ship in the next release of Red Hat Enterprise either (RHEL4). Dovecot
and Cyrus will be replacing UW. When someone makes a nice contribution
like you did I'm inclined to add it to the RPM, but since this RPM is
at its end of life these changes will probably never see the light of
day. I'll add it our RPM just in case its ever pushed out again, not
likely, but if it is the new subpackage will be there. Thank you for
your contribution, I'm sorry to deliver news you may not want.
Comment 4 Kenneth Porter 2004-01-27 13:16:26 EST
Thanks, John. I completely understand, and look forward to the new
replacement packages. I realized a day after I uploaded the patch that
I'd left out the man pages, so I may upload an updated patch to
include those. Meanwhile, I'll check out Dovecot and Cyrus to see
what's involved in migrating, and watch the Fedora directories for
their arrival.

Note You need to log in before you can comment on or make changes to this bug.